### Method

# Camel DataWrapper set_mime_type_field

#### Declaration [src]

    void
    camel_data_wrapper_set_mime_type_field (
      CamelDataWrapper* data_wrapper,
      CamelContentType* mime_type
    )

#### Description [src]

This sets the data wrapper’s MIME type. It adds its own reference to `mime_type`, if not `NULL`.

It suffers from the same flaws as camel_data_wrapper_set_mime_type().

#### Parameters

`mime_type`

  Type: `CamelContentType`

  A `CamelContentType`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.